Changeset 87562


Ignore:
Timestamp:
Nov 25, 2011, 7:31:44 PM (6 years ago)
Author:
ciserlohn@…
Message:

nodejs: prevent installation on Mac OS X Versions lower than 10.6 as it won't compile (fixes #32218)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/devel/nodejs/Portfile

    r87475 r87562  
    9696}
    9797
     98if {${os.major} < 10} {
     99    pre-fetch {
     100        ui_error "${name} ${version} requires Mac OS X 10.6 or greater."
     101        return -code error "incompatible Mac OS X version"
     102    }
     103}
     104
    98105livecheck.type      regex
    99106livecheck.regex     node-v(\\d+\\.\[02468\]+\\.\\d+)
Note: See TracChangeset for help on using the changeset viewer.